input:
  environment: "gcc:14.2.0"
  command:
    - "gcc"
    - "input.c"
  limits:
    wall_time_ms: 15000
    cpu_cores: 1
    action_processes: 100
    user_processes: 100
    memory_bytes: 100MB
    disk_bytes: 10MB
    output_bytes: 10MB
  inputs:
    - uri_string: "file:input.c"
      contents: "@input.c"
      meta:
        uid: 0
        gid: 0
        userPermissions: { read: true }
        groupPermissions: { write: true }
        othersPermissions: { execute: true }
  output_requests:
    - uri_string: "file:a.out"
      max_size_bytes: 1000000

expectedOutput:
  result:
    exit_code: 0
    status: SUCCEEDED
    outputs:
      - resource:
          uri_string: "stream:stdout"
          meta:
            uid: 0
            gid: 0
            userPermissions: { read: true }
            groupPermissions: { read: true }
            othersPermissions: { read: true }
        is_present: true
        exceeded_size: false
      - resource:
          uri_string: "stream:stderr"
          meta:
            uid: 0
            gid: 0
            userPermissions: { read: true }
            groupPermissions: { read: true }
            othersPermissions: { read: true }
        is_present: true
        exceeded_size: false
      - resource:
          uri_string: "file:a.out"
          contents: "@a.out"
          meta:
            uid: 0
            gid: 0
            userPermissions:
              write: true
              read: true
              execute: true
            groupPermissions:
              read: true
              execute: true
            othersPermissions:
              read: true
              execute: true
        is_present: true
  metrics:
    output_bytes: 0
    created_processes: 5
    max_processes: 3
    disk_bytes: 15968
